### Enumeration

# Qmi GasFirmwareListingMode

since: 1.24

#### Declaration

    enum Qmi.GasFirmwareListingMode

#### Description [src]

Mode when retrieving a list of stored firmwares.

Available since: 1.24

#### Members

`QMI_GAS_FIRMWARE_LISTING_MODE_ACTIVE_FIRMWARE`

  List only the active firmware.

  - Value: `0`
  - Available since: 1.24
`QMI_GAS_FIRMWARE_LISTING_MODE_ALL_FIRMWARE`

  List all stored firmwares.

  - Value: `1`
  - Available since: 1.24
`QMI_GAS_FIRMWARE_LISTING_MODE_SPECIFIC_FIRMWARE`

  List only specific firmware with condition.

  - Value: `2`
  - Available since: 1.24

#### Type functions

###### qmi_gas_firmware_listing_mode_get_string

Gets the nickname string for the `QmiGasFirmwareListingMode` specified at `val`.

since: 1.24